
package shai.vmutils;

/**
 * this class is used as a node on the attributeList by the AttributeEntry class.
**/
class AttributeNode
{
	// the offset of the attribute name on the constant pool.
	private int name;
		
	// the data contained in the attribute.
	private byte data[];

	/**
	 * this constructor creats the class data.
	**/
	public AttributeNode(int name, byte data[])
	{
		this.name = name;
		this.data = data;
	}	
	/**
	 * returns the data assosiated with this attribute.
	**/
	public byte[] getData()
	{
		return(data);
	}	
	/**
	 * returns the name of this attribute.
	**/
	public int getName()
	{
		return(name);
	}	
/**
 * This method was created by a SmartGuide.
 * @return java.lang.String
 */
public String toString(ConstantPoolEntry constantPool[]) 
{
	// the data contained in the attribute.
	return(new String(data));
}
}