//////////////////////////////////////////////////////////////////////////
//
// ALANGUAGE.HPP - Declaration of ALanguage, the language selection dialog
//
// (c) 1997 by Stefan Ruck, Frankfurt/Main, Germany
//
///////////////////////////////////////////////////////////////////////////

#ifndef _LANGUAGE_HPP_
#define _LANGUAGE_HPP_

#pragma info (none)

#include <ilistbox.hpp>
#include <iframe.hpp>
#include <icmdhdr.hpp>
#include <iwindow.hpp>

#pragma info (restore)

class ALanguage : public IFrameWindow,
                  public ICommandHandler

{
  public:
    ALanguage (IWindow * pOwner = 0L);
    ~ALanguage (void);

  protected:
    virtual Boolean command (ICommandEvent& evt);

  private:
    void setupListBox (void);
    void center (void);

    IListBox * m_pListBox;
    IListBox::Cursor * m_pListBoxCursor;
};

#endif //_LANGUAGE_HPP_
