/////////////////////////////////////////////////////////////////////////////
//
// RESDLL.HPP - Declaration of AResourceDLL, a helper class for resource DLLs
//
// (c) 1997 by Stefan Ruck, Frankfurt/Main, Germany
//
//////////////////////////////////////////////////////////////////////////////

#ifndef _RESDLL_H_
#define _RESDLL_H_

#pragma info (none)
#include <ibase.hpp>
#pragma info (restore)

class AResourceDLL : public IBase

{
  public:
    static Boolean loadResourceDLL (const char * pszDLLName);      // load a resource DLL
                   // throws IAssertationFailure

    static Boolean loadResDLLFromAppDir (const char * pszDLLName); // load a resource DLL from the app's dir
                   // throws IAssertationFailure

    static void loadString(IString& dest, const unsigned long ulResourceID, // load a string from the
                           const char * pszText);                           // resources
};

#endif // _RESDLL_H_
